Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.ejb
Class TxEntityMap

    java.lang.Object
      org.jboss.ejb.TxEntityMap

Deprecated. this class was useful only for Instance Per Transaction containers and was used to check whether the instance is associated with the tx. There is org.jboss.ejb.plugins.PerTxEntityInstanceCache which is a per tx implementation of org.jboss.ejb.EntityCache which should be used with IPT containers. (alex@jboss.org) This class provides a way to find out what entities of a certain type that are contained in within a transaction. It is attached to a specific instance of a container. This class interfaces with the static GlobalTxEntityMap. EntitySynchronizationInterceptor registers tx/entity pairs through this class. Used in EntitySynchronizationInterceptor.

public class TxEntityMap
extends Object

Version:
  $Revision: 1.15 $ Revisions:

  Revisions:

  2001/08/06: billb

  1. Got rid of disassociate and added a javax.transaction.Synchronization. The sync will clean up the map now.
  2. This class now interacts with GlobalTxEntityMap available.
Author:
  Bill Burke

Field Summary
`protected org.jboss.tm.TransactionLocal` | `m_map` Deprecated.

Constructor Summary
`TxEntityMap()` Deprecated.

Method Summary
`void` | `associate(Transaction tx, EntityEnterpriseContext entity)` Deprecated. associate entity with transaction
`EntityEnterpriseContext` | `getCtx(Object key)` Deprecated.
`EntityEnterpriseContext` | `getCtx(Transaction tx, Object key)` Deprecated.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### m_map

    protected org.jboss.tm.TransactionLocal m_map

  Deprecated.

Constructor Detail

### TxEntityMap

    public TxEntityMap()

  Deprecated.

Method Detail

### associate

    public void associate(Transaction tx,
                          EntityEnterpriseContext entity)
                   throws RollbackException,
                          SystemException

  Deprecated.
  associate entity with transaction

  Throws:
    `RollbackException`
    `SystemException`

### getCtx

    public EntityEnterpriseContext getCtx(Transaction tx,
                                          Object key)

  Deprecated.

### getCtx

    public EntityEnterpriseContext getCtx(Object key)

  Deprecated.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.